[问题]刚装的Ubuntu6.06,有三个软件无法正常更新。

为当前最终发行版之前的所有版本提供支持
回复
jimmin
论坛版主
帖子: 2138
注册时间: 2006-09-24 4:37
送出感谢: 0
接收感谢: 1 次

[问题]刚装的Ubuntu6.06,有三个软件无法正常更新。

#1

帖子 jimmin » 2006-10-09 4:22

刚装的Ubuntu6.06,更新时提示:
无法安装所有升级

一些更新包要求删除更多的软件。用包管理器 “Synaptic” 的“标出所有更新”功能并运行 “sudo apt-get dist-upgrade”来彻底更你新的系统。

将跳过以下的升级包

代码: 全选

gaim
linux-image-386
linux-restricted-modules-386
我确定后正常升级了,并重启。再运行更新管理器还是出现上面的提示,这是为什么?
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 zhuqin_83 » 2006-10-09 4:46

提示还不够清楚么?
用sudo apt-get dist-upgrade
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
jimmin
论坛版主
帖子: 2138
注册时间: 2006-09-24 4:37
送出感谢: 0
接收感谢: 1 次

#3

帖子 jimmin » 2006-10-09 5:25

zhuqin_83 写了:提示还不够清楚么?
用sudo apt-get dist-upgrade
我是想知道为什么会这样。
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#4

帖子 zhuqin_83 » 2006-10-09 8:42

升级有两种,一种是sudo apt-get upgrade,一种是sudo apt-get dist-upgrade,前者是一般性组件升级,后者是系统核心更新。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 SuperWar3Fan » 2006-10-09 8:44

可能因为你使用的是686内核
jimmin
论坛版主
帖子: 2138
注册时间: 2006-09-24 4:37
送出感谢: 0
接收感谢: 1 次

#6

帖子 jimmin » 2006-10-09 15:13

怎么看内核的版本?内核需要升级到最新吗?内核有32位和34位的差别吗?我是32位的应该升级到什么版?
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#7

帖子 zhuqin_83 » 2006-10-10 1:24

jimmin 写了:怎么看内核的版本?内核需要升级到最新吗?内核有32位和34位的差别吗?我是32位的应该升级到什么版?
什么叫34位?新名词阿?64吧。 :D
看你的cpu是什么就装什么咯。
看内核版本只要 uname -a
一个版本的ubuntu就只有一个版本的内核,如dapper就只有2.6.15,升级只是升补丁,不升版本号。当然也可以自己编译新的。如果你的系统好好的,我觉得没必要编译。
edgy的话就是2.6.17,现在的内核好像不分386/686/amd(非64),都叫generic,amd64/intel64也是同一个内核。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
jimmin
论坛版主
帖子: 2138
注册时间: 2006-09-24 4:37
送出感谢: 0
接收感谢: 1 次

#8

帖子 jimmin » 2006-10-10 2:11

386和686有什么区别?是不是686比386新?
一个版本的ubuntu就只有一个版本的内核,如dapper就只有2.6.15,升级只是升补丁,不升版本号。
看到这有点晕,我原386的,后安装了686,再把386完全删除了?不会有事吧!
头像
jarlyyn
论坛版主
帖子: 4671
注册时间: 2006-04-12 18:54
送出感谢: 0
接收感谢: 6 次
联系:

#9

帖子 jarlyyn » 2006-10-10 2:16

386支持从 386开始所有的芯片

686的话需要至少p2的芯片吧?

386的兼容性好点
686的做过特别优化

不过我个人觉得

如果运行需要大量计算的程序,没必要急着升到i686

很多deb包都是i386的
回复

回到 “老旧版本支持”